package space.nstart.pcp.pcp_types_lib.dto.requests.slots

import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime
import java.util.UUID

data class BookedSlotsStatusChangedEvent(
    val bookedSlotIds: List<Long> = emptyList(),
    val status: BookedSlotStatus = BookedSlotStatus.BOOKED,
    val occurredAt: LocalDateTime = UtcDateTimes.now(),
    val sourceService: String = "",
    val missionId: UUID? = null,
    val modeId: Long? = null,
    val satelliteId: Long? = null
)
